Subject: compile error regarding extras/FvwmConfig/WinBase.C with HP-UX 10.20 and gcc 2.95.2

From: [email-masked]
Date: Wed, 17 Nov 1999 06:35:38 -0600 (CST)

Full_Name: Thomas Anders
Version: 2.2.2
CVS_Date: 
OS: HP-UX 10.20
X_Server: XFree 3.3.5
Submission from: (NULL) (134.30.15.45)

When compiling fvwm 2.2.2 with gcc 2.95.2 on a HP-UX 10.20 system,
there's one small glitch:

foo# g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../libs -I/net/usr/include \
    -I/usr/X11R6/include -fpermissive -c WinBase.C
[...]
WinBase.C: In function `int My_XNextEvent(Display *, XEvent *)':
WinBase.C:985: passing `int *' as argument 2 of `select(int, fd_set *,
fd_set *, fd_set *, timeval *)'
*** Error exit code 1
[...]
foo#

The relevant portion of extras/FvwmConfig/WinBase.C is line 984-988:
#ifdef __hpux
  retval=select(fd_width,(int *)&in_fdset, (int *)&out_fdset,0, NULL);
#else
  retval=select(fd_width,&in_fdset, &out_fdset, 0, NULL);
#endif

Apparently there shouldn't be a special case for HP-UX (at least for
10.20).
After removing line 984-986,988 compilation succeeded.

Hope this helps,
Thomas

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]